<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

/*
 * Penda
 *
 * @author		I-Rock (www.irock.co.zm)
 * @copyright	Copyright (c) 2016 - 2022 irock.co.zm
 * @license		https://www.irock.co.zm
 * @link		https://invoice.irock.co.zm
 */

/**
 * Deletes orphaned entries in the database
 */
function delete_orphans()
{
    $CI =& get_instance();

    $queries = array(
        'DELETE FROM pd_invoices WHERE client_id NOT IN (SELECT client_id FROM pd_clients)',
        'DELETE FROM pd_quotes WHERE client_id NOT IN (SELECT client_id FROM pd_clients)',
        'DELETE FROM pd_invoice_amounts WHERE invoice_id NOT IN (SELECT invoice_id FROM pd_invoices)',
        'DELETE FROM pd_quote_amounts WHERE quote_id NOT IN (SELECT quote_id FROM pd_quotes)',
        'DELETE FROM pd_payments WHERE invoice_id NOT IN (SELECT invoice_id FROM pd_invoices)',
        'DELETE FROM pd_client_custom WHERE client_id NOT IN (SELECT client_id FROM pd_clients)',
        'DELETE FROM pd_invoice_custom WHERE invoice_id NOT IN (SELECT invoice_id FROM pd_invoices)',
        'DELETE FROM pd_user_custom WHERE user_id NOT IN (SELECT user_id FROM pd_users)',
        'DELETE FROM pd_payment_custom WHERE payment_id NOT IN (SELECT payment_id FROM pd_payments)',
        'DELETE FROM pd_quote_custom WHERE quote_id NOT IN (SELECT quote_id FROM pd_quotes)',
        'DELETE FROM pd_invoice_items WHERE invoice_id NOT IN (SELECT invoice_id FROM pd_invoices)',
        'DELETE FROM pd_invoice_item_amounts WHERE item_id NOT IN (SELECT item_id FROM pd_invoice_items)',
        'DELETE FROM pd_quote_items WHERE quote_id NOT IN (SELECT quote_id FROM pd_quotes)',
        'DELETE FROM pd_quote_item_amounts WHERE item_id NOT IN (SELECT item_id FROM pd_quote_items)',
        'DELETE FROM pd_client_notes WHERE client_id NOT IN (SELECT client_id FROM pd_clients)',
        'DELETE FROM pd_quote_tax_rates WHERE quote_id NOT IN (SELECT quote_id FROM pd_quotes)',
        'DELETE FROM pd_invoice_tax_rates WHERE invoice_id NOT IN (SELECT invoice_id FROM pd_invoices)',
        'DELETE FROM pd_invoices_recurring WHERE invoice_id NOT IN (SELECT invoice_id FROM pd_invoices)'
    );

    foreach ($queries as $query) {
        $CI->db->query($query);
    }
}
